Bug 206555 - Install on USB external disk: Please help!
Install on USB external disk: Please help!
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-09-14 21:27 EDT by Paul Johnson
Modified: 2008-04-24 10:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-24 10:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2006-09-14 21:27:47 EDT
Description of problem: Install does not find external disks when it looks for
places to install FC5.  "linux expert" mode does find external drive, but the
installed version is not correct.  After the install, one must re-boot with the
rescue disk and then run mkinitrd and include a list of modules to allow
external drive to be mounted.  Even after that, the install will probably not
work if there is another install of FC5 on an internal disk because drives are
given identical labels like "/home" and "/boot".

Version-Release number of selected component (if applicable): FC5

How reproducible: Always

Steps to Reproduce:
1. Plug in external usb disk & boot from FC5 install disk
2. Go through hassle of trying to install linux on the external disk.
Actual results:

Expected results:

Additional info:  I think the mkinitrd part of the problem is pretty easy to
fix. In the script that runs after  the kernel is installed and it puts the
entry in grub, just add more preload options. This one works

mkinitrd ––preload=ehci–hcd ––preload=usb–storage ––preload=scsi_mod
––preload=sd_mod  /boot/initrd_usb.gz  2.6.9–1.667

The harder problem is how to fix labels.  I've done this exercise several times
and the problem is that the installer might find LABEL=/ on an internal drive
when I wish it would find it on the external.  I BELIEVE the only fix is for you
to have the thing that creates labels  use a unique name for the disk.  For
example, ask the user "what suffix word do you use to refer to this hard disk"
and so when labels are created, they are unique names, "/.usb1" or "/home.usb1"
 Or, even better, if you use the names of the devices themselves as suffixes,
then the names could be kept unique.

It is a hassle to change drive labels and make the reboot work--/etc/fstab is
not what it used to be.  It seems like I edit fstab and then it gets changed
automatically by some other program.  It is getting harder and harder for old
timers like me to fix the "automagical" linux things.

I think this is one bug that should definitely be fixed before FC6.
Comment 1 Jeremy Katz 2006-09-15 06:15:06 EDT
Installation on USB drives isn't supported in FC5 -- it should work with the FC6
test releases.
Comment 2 Paul Johnson 2006-10-26 23:08:41 EDT
I've tried to install FC6 to an external USB drive.  Several things go wrong. 
Perhaps you did not understand what I was asking for before. I want to install
Linux so that I can take the external disk to a different computer and start
Linux there.  I DO NOT want the external disk to assume it is always plugged
into this same computer.  

But anaconda just does it all wrong, just like it did it wrong before.

1. The boot loader refuses to go into /dev/sdb. It offers /dev/sdb1, and so when
the system re-starts, it locks at GRUB

2. I did try the trick of re-booting with the rescue disk and rebuilding the
initrd and running grub again, but it failed.  It hangs at boot because it
cannot find /dev and /sys.

3. I can remove the hard disk from this computer and do an install.  Then FC6
does install fine.  And it does start.  However, when I put the first disk back
into the computer, then the system won't boot off the USB external disk anymore.
 That happens even though the BIOS has been set to boot off the external USB
drive. I suspect the problem there is that the external drive was hd0 when it
was the only computer, but when the other is in, the external drive is hd1, and
it goes splat.

4. The disk labels created on /dev/sdb are EXACTLY THE SAME LABELS as used on
the FC-5 install that already exists in /dev/sda.  If I'm ever lucky enough to
get the external USB to boot, it is all puzzled.  In FC5, when I made the
external disk start, I had to re-label all the partitions, or else disaster

So, in conclusion, I think you were a bit cavalier to close this bug when I
filed it against FC5.
Comment 3 Bug Zapper 2008-04-03 23:43:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Joel Andres Granados 2008-04-24 10:36:17 EDT
f9 has a livecd that allows to put fedora in a usb stick.

Note You need to log in before you can comment on or make changes to this bug.